Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032149
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2016-02-05 14:412018-02-16 14:42
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisionfbe443ccf95e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032149: Upgrade Jackson libraries

DescriptionUpgrade Jackson libraries from version 2.1.4 to version 2.5.1

This is a must for the Mondrian-Saiku upgrade project.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0032110 closedcaristu Openbravo ERP Upgrade FOP library 
related to defect 0032161 closedcaristu Openbravo ERP API Change required for Jackson Library upgrade 
related to feature request 0037961 closedcaristu Openbravo ERP Upgrade Jackson libraries 
blocks feature request 0032215 closedcaristu Modules upgrade analytics stack 

-  Notes
(0084029)
caristu (developer)
2016-02-09 09:15
edited on: 2016-02-09 09:23

The Jackson Library is used internally by Jasper Reports. To check the correct behavior of the new library the following has been tested:

- The HtmlExporter of Jasper Reports makes use of Jackson. So, without this library generate a report in html output format is not possible. With the new version, the export to html keeps working fine. For example, the Customer Statement report or the Stock report have been tested with success.

- As stated here[1] another feature of the Jasper Reports library which makes use of Jackson is the JSON Datasource. We have created an example report with this kind of datasource which can be found here[2]. It is verified that it works properly with the new version of the Jackson library.


[1] http://jasperreports.sourceforge.net/sample.reference/jsondatasource/ [^]
[2] https://code.openbravo.com/erp/mods/org.openbravo.platform.features/rev/0c468acb19db [^]

(0084030)
hgbot (developer)
2016-02-09 09:21

Repository: erp/devel/pi
Changeset: fbe443ccf95e854b5d7b6e3404902cfff0a790d0
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Feb 09 08:53:35 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fbe443ccf95e854b5d7b6e3404902cfff0a790d0 [^]

fixes issue 32149: Upgrade Jackson JSON Processor libraries

---
M legal/Licensing.txt
A lib/runtime/jackson-annotations-2.5.1.jar
A lib/runtime/jackson-core-2.5.1.jar
A lib/runtime/jackson-databind-2.5.1.jar
R lib/runtime/jackson-annotations-2.1.4.jar
R lib/runtime/jackson-core-2.1.4.jar
R lib/runtime/jackson-databind-2.1.4.jar
---
(0084136)
alostale (developer)
2016-02-12 08:31

Code reviewed.

Please update: http://wiki.openbravo.com/wiki/Openbravo_Libraries [^]
(0084149)
caristu (developer)
2016-02-12 11:16

Updated wiki page: http://wiki.openbravo.com/wiki/Openbravo_Libraries [^]
(0085117)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-05 14:41 caristu New Issue
2016-02-05 14:41 caristu Assigned To => platform
2016-02-05 14:41 caristu Modules => Core
2016-02-05 14:41 caristu Triggers an Emergency Pack => No
2016-02-05 14:41 caristu Assigned To platform => caristu
2016-02-05 14:41 caristu Relationship added related to 0032110
2016-02-05 15:11 caristu Status new => scheduled
2016-02-08 16:33 caristu Relationship added related to 0032161
2016-02-09 09:15 caristu Note Added: 0084029
2016-02-09 09:17 caristu Note Edited: 0084029 View Revisions
2016-02-09 09:21 hgbot Checkin
2016-02-09 09:21 hgbot Note Added: 0084030
2016-02-09 09:21 hgbot Status scheduled => resolved
2016-02-09 09:21 hgbot Resolution open => fixed
2016-02-09 09:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fbe443ccf95e854b5d7b6e3404902cfff0a790d0 [^]
2016-02-09 09:22 caristu Note Edited: 0084029 View Revisions
2016-02-09 09:23 caristu Note Edited: 0084029 View Revisions
2016-02-09 09:23 caristu Review Assigned To => alostale
2016-02-09 09:23 caristu Issue Monitored: alostale
2016-02-12 08:28 alostale Relationship added blocks 0032215
2016-02-12 08:31 alostale Note Added: 0084136
2016-02-12 08:31 alostale Status resolved => closed
2016-02-12 08:31 alostale Fixed in Version => 3.0PR16Q2
2016-02-12 11:16 caristu Note Added: 0084149
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085117
2018-02-16 14:42 caristu Issue cloned 0037961
2018-02-16 14:42 caristu Relationship added related to 0037961


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker